// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from './App';
import router from './router';
import store from './store.js';
// 引入组件库
import element from 'element-ui';
// 引入扫描文件
import scan from './scanfile.js';

// 引入样式
import './style/index.scss';

Vue.use(element);
Vue.use(scan);
Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
});
